# org.apache.hc.client5.http.impl.auth

## Interfaces

- NTLMEngine

## Classes

- AuthChallengeParser
- BasicAuthCache
- BasicScheme
- BasicSchemeFactory
- DigestScheme
- DigestSchemeFactory
- GGSSchemeBase
- HttpAuthenticator
- KerberosScheme
- KerberosSchemeFactory
- NTLMScheme
- NTLMSchemeFactory
- SPNegoScheme
- SPNegoSchemeFactory
- SystemDefaultCredentialsProvider

## Exceptions

- NTLMEngineException
- UnsupportedDigestAlgorithmException